Name:           perl-Authen-CAS-Client
Version:        0.07
Release:        1%{?dist}
Summary:        Interface for authentication via JA-SIG's Central Authentication Service
License:        MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Authen-CAS-Client/
Source0:        http://www.cpan.org/authors/id/P/PR/PRAVUS/Authen-CAS-Client-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(LWP) >= 0.00
BuildRequires:  perl(Test::MockObject) >= 0.00
BuildRequires:  perl(Test::More) >= 0.00
BuildRequires:  perl(URI) >= 0.00
BuildRequires:  perl(XML::LibXML) >= 0.00

%description
The Authen::CAS::Client module provides a simple interface for
authenticating users using JA-SIG's CAS protocol. Both CAS v1.0 and v2.0
are supported.

%prep
%setup -q -n Authen-CAS-Client-%{version}

%build
# --skipdeps causes ExtUtils::AutoInstall not to try auto-installing
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Aug 17 2015 Nicholas van Oudtshoorn <vanoudt@gmail.com> - 0.07-1
- New upstream release
- License changed to MIT

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.06-5
- Perl 5.22 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 0.06-2
- Perl 5.18 rebuild

* Fri May 31 2013 Nicholas van Oudtshoorn <vanoudt@gmail.com> - 0.06-1
- New upstream release

* Sat Feb 23 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.05-6
- Pass --skipdeps to prevent ExtUtils::AutoInstall from accessing CPAN.
  (Fix FTBFS #914242).

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Nicholas van Oudtshoorn <vanoudt@gmail.com> - 0.05-2
- Specfile cleanups
* Thu Apr 28 2011 Nicholas van Oudtshoorn <vanoudt@gmail.com> - 0.05-1
- Specfile autogenerated by cpanspec 1.78.
